Subject: Re: bug#76327: 29.4; random segfaults after switch to tree-sitter

From: Evgeniy Dushistov <[email-masked]>
Date: Tue, 18 Feb 2025 18:09:45 +0300

On Tue, Feb 18, 2025 at 04:55:38PM +0200, Eli Zaretskii wrote:
> Is this session still inside GDB?  I guess not, which is a pity.
> 

Yes, it still alive.

> The crash is here:
> 
> 	if (CONSP (event->arg))
> 	  return list5 (head, position, make_fixnum (double_click_count),
> 			XCAR (event->arg), Fcons (XCAR (XCDR (event->arg)),
> 						  XCAR (XCDR (XCDR (event->arg)))));
> 
> It's an assertion violation, which probably means XCAR(event->arg) is
> not a cons cell.  So it would be important to see the exact value of
> event->arg at this point.  Like this:
> 
>   (gdb) fr 5
>   (gdb) pp event->arg
> 
> If GDB says it doesn't know about "pp", do this:
> 
>   (gdb) source /path/to/emacs/stc/.gdbinit
> 
> and then repeat the above 2 commands.
> 

(gdb) fr 5
#5  make_lispy_event (event=0x555555f308e0 <kbd_buffer+13952>) at keyboard.c:6375
warning: Source file is more recent than executable.
6375		  return list5 (head, position, make_fixnum (double_click_count),
(gdb) pp event->arg
(33558466)

> If you already let Emacs continue and crash (and exit), then please
> wait till the next time it crashes, leave it running under GDB, and
> post the backtrace here.  We then will try to ask you to display
> several values and report the results, so that we could figure out
> what could be the problem.
> 
> Thanks.
> 
> P.S. You could also try building the latest pretest of what will soon
> become Emacs 30.1, maybe this problem was already fixed.  You can find
> the pretest tarballs here:
> 
>     https://alpha.gnu.org/gnu/emacs/pretest/

I tried https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=emacs-git ,
it built emacs from git rev 4cf53c436159ea54dbfe1a1e24515e2e6fbf9a6f,
it is crashed after 1 day.

And it has annoying issue, then after C-x C-f I press "/" to open
file via absolute path it eats "/",
so I switched back to 29.4.

-- 
/Evgeniy